org.wildfly.swarm.undertow

## Interface UndertowProperties

-     public interface UndertowProperties

  Author:
    Bob McWhirter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_AJP_PORT`
    `static String` | `DEFAULT_CERTIFICATE_ALIAS`
    `static String` | `DEFAULT_HOST`
    `static String` | `DEFAULT_HTTP_LISTENER`
    `static int` | `DEFAULT_HTTP_PORT`
    `static String` | `DEFAULT_HTTPS_LISTENER`
    `static int` | `DEFAULT_HTTPS_PORT`
    `static String` | `DEFAULT_KEY_PASSWORD`
    `static String` | `DEFAULT_KEYSTORE_PASSWORD`
    `static String` | `DEFAULT_KEYSTORE_PATH`
    `static String` | `DEFAULT_SERVER`

- - ### Field Detail

    - #### DEFAULT_HTTP_PORT

          static final int DEFAULT_HTTP_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT

          static final int DEFAULT_HTTPS_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_AJP_PORT

          static final int DEFAULT_AJP_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_KEYSTORE_PATH

          static final String DEFAULT_KEYSTORE_PATH

      See Also:
        Constant Field Values

    - #### DEFAULT_KEYSTORE_PASSWORD

          static final String DEFAULT_KEYSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY_PASSWORD

          static final String DEFAULT_KEY_PASSWORD

      See Also:
        Constant Field Values

    - #### DEFAULT_CERTIFICATE_ALIAS

          static final String DEFAULT_CERTIFICATE_ALIAS

      See Also:
        Constant Field Values

    - #### DEFAULT_SERVER

          static final String DEFAULT_SERVER

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_LISTENER

          static final String DEFAULT_HTTP_LISTENER

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_LISTENER

          static final String DEFAULT_HTTPS_LISTENER

      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          static final String DEFAULT_HOST

      See Also:
        Constant Field Values

Copyright © 2018 JBoss by Red Hat. All rights reserved.